import request from '@/utils/request'

// 查询排位赛活动列表列表
export function listLzydQualifying(query) {
  return request({
    url: '/system/LzydQualifying/list',
    method: 'get',
    params: query
  })
}

// 查询排位赛活动列表详细
export function getLzydQualifying(id) {
  return request({
    url: '/system/LzydQualifying/' + id,
    method: 'get'
  })
}

// 新增排位赛活动列表
export function addLzydQualifying(data) {
  return request({
    url: '/system/LzydQualifying',
    method: 'post',
    data: data
  })
}

// 修改排位赛活动列表
export function updateLzydQualifying(data) {
  return request({
    url: '/system/LzydQualifying',
    method: 'put',
    data: data
  })
}

// 删除排位赛活动列表
export function delLzydQualifying(id) {
  return request({
    url: '/system/LzydQualifying/' + id,
    method: 'delete'
  })
}

// 导出排位赛活动列表
export function exportLzydQualifying(query) {
  return request({
    url: '/system/LzydQualifying/export',
    method: 'get',
    params: query
  })
}